/***********************************************************************************************************************
 *
 * SolidBlue - open source safe data
 * Copyright (C) 2011-2012 by Tidalwave s.a.s. (http://tidalwave.it)
 *
 ***********************************************************************************************************************
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on
 * an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations under the License.
 *
 ***********************************************************************************************************************
 *
 * WWW: http://solidblue.tidalwave.it
 * SCM: https://bitbucket.org/tidalwave/solidblue-src
 *
 **********************************************************************************************************************/
package it.tidalwave.integritychecker.ui;

import javax.annotation.Nonnegative;
import javax.annotation.Nonnull;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

/***********************************************************************************************************************
 *
 * @author  Fabrizio Giudici
 * @version $Id$
 *
 **********************************************************************************************************************/
@Getter @Setter @ToString
public class IntegrityCheckerFieldsBean 
  {
    @Nonnull
    private String elapsedTime = " ";
    
    @Nonnull
    private String remainingTime = " ";
    
    @Nonnull
    private String total = " ";
    
    @Nonnull
    private String processed = " ";
    
    @Nonnull
    private String speed = " ";
    
    @Nonnull
    private String pending = " ";
    
    @Nonnull
    private String running = " ";
    
    @Nonnegative
    private float progress = 0;
    
    @Nonnull
    private String progressLabel = " ";
  }
